package de.avatic.taricdb.model;


import org.springframework.data.annotation.Id;
import org.springframework.data.jdbc.core.mapping.AggregateReference;
import org.springframework.data.relational.core.mapping.Column;


public class MeasureFootnote {

	@Id
    private Integer id;

    @Column("footnote_id")
    private AggregateReference<Footnote, Integer> footnote;

    public MeasureFootnote(AggregateReference<Footnote, Integer> footnote) {
		this.footnote = footnote;
	}

	public Integer getId() {
        return id;
    }

    public void setId(final Integer id) {
        this.id = id;
    }

    public AggregateReference<Footnote, Integer> getFootnote() {
        return footnote;
    }

    public void setFootnote(final AggregateReference<Footnote, Integer> footnote) {
        this.footnote = footnote;
    }



}
